Subject: IMAPD Compilation Failure

From: Steve Lowe <[email-masked]>
Date: Wed, 31 Jan 2001 21:41:05 -0600 (CST)

I am attempting to compile unix pine 4.32 on a Digital Alpha running
Digital Tru64 Unix 4.0f.  Here is an extract from my typescript generated
during the normal Pine 'build' process:

Script started on Wed Jan 31 21:30:44 2001
# ./build os4
make args are CC=cc

Including SSL functionality
Making c-client library, mtest and imapd
make CC=cc SPECIALAUTHENTICATORS=ssl os4
Applying an process to sources...
tools/an "ln -s" src/c-client c-client
tools/an "ln -s" src/ansilib c-client
tools/an "ln -s" src/charset c-client
sh -c '(test -d src/kerberos) && (ln -s `pwd`/src/kerberos/* c-client) || true'
tools/an "ln -s" src/osdep/unix c-client
tools/an "ln -s" src/mtest mtest
tools/an "ln -s" src/ipopd ipopd
tools/an "ln -s" src/imapd imapd
ln -s tools/an .

cc -g3 -std0 -O2  `cat OSCFLAGS` -c osdep.c
cc: Warning: auth_ssl.c, line 166: In this statement, the referenced type of the pointer value "tmp" is "signed char", which is not compatible with "unsigned char". (ptrmismatch)
      RAND_seed (tmp,strlen (tmp));
-----------------^
cc -g3 -std0 -O2  -c utf8.c

`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` -c mtest.c
`cat ../c-client/CCTYPE` -I../c-client `cat ../c-client/CFLAGS` -o mtest mtest.o ../c-client/c-client.a `cat ../c-client/LDFLAGS`
ld:
Unresolved:
SSL_CTX_use_certificate_chain_file
*** Exit 1
Stop.
*** Exit 1
Stop.
*** Exit 1
Stop.

cc: Warning: pico_os.c, line 2396: The redefinition of the macro "MAX" conflicts with a current definition because the spelling of one or more parameters is different.  The redefinition is now in effect. (macroredef)
#define MAX(x,y)        ((x) > (y) ? (x) : (y))
------------^

Unresolved:
SSL_CTX_use_certificate_chain_file
*** Exit 1
Stop.

Links to executables are in bin directory:
text    data    bss     dec     hex
3399680 1572864 42464   5015008 4c85e0  bin/pine
1351680 131072  6256    1489008 16b870  bin/mtest
size: Cannot open bin/imapd
253952  40960   5072    299984  493d0   bin/pico
253952  40960   4352    299264  49100   bin/pilot
Done

script done on Wed Jan 31 21:34:00 2001
------------------------------------------------------------------------------

Any suggestions?  Do I have to have a link to any openSSL libraries?

Thanks in advance.

 -- Steve Lowe
    Aurora University

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------